/*
 * touchSwipe - jQuery Plugin
 * https://github.com/mattbryson/TouchSwipe-Jquery-Plugin
 * http://labs.skinkers.com/touchSwipe/
 *
 * Copyright (c) 2010 Matt Bryson (www.skinkers.com)
 * Dual licensed under the MIT or GPL Version 2 licenses.
 */
;(function($){var LEFT="left",RIGHT="right",UP="up",DOWN="down",NONE="none",HORIZONTAL="horizontal",VERTICAL="vertical",AUTO="auto",PHASE_START="start",PHASE_MOVE="move",PHASE_END="end",PHASE_CANCEL="cancel",SUPPORTS_TOUCH="ontouchstart" in window,START_EV=SUPPORTS_TOUCH?"touchstart":"mousedown",MOVE_EV=SUPPORTS_TOUCH?"touchmove":"mousemove",END_EV=SUPPORTS_TOUCH?"touchend":"mouseup",CANCEL_EV="touchcancel",PLUGIN_NS="TouchSwipe";var defaults={fingers:1,threshold:75,maxTimeThreshold:null,swipe:null,swipeLeft:null,swipeRight:null,swipeUp:null,swipeDown:null,swipeStatus:null,click:null,triggerOnTouchEnd:true,allowPageScroll:"auto"};$.fn.swipe=function(method){$this=$(this);var plugin=$this.data(PLUGIN_NS);if(plugin&&typeof method==="string"){if(plugin[method]){return plugin[method].apply(this,Array.prototype.slice.call(arguments,1))}else{$.error("Method "+method+" does not exist on jQuery.swipe")}}else{if(!plugin&&(typeof method==="object"||!method)){return init.apply(this,arguments)}}};$.fn.swipe.defaults=defaults;$.fn.swipe.phases={PHASE_START:PHASE_START,PHASE_MOVE:PHASE_MOVE,PHASE_END:PHASE_END,PHASE_CANCEL:PHASE_CANCEL};$.fn.swipe.directions={LEFT:LEFT,RIGHT:RIGHT,UP:UP,DOWN:DOWN};$.fn.swipe.pageScroll={NONE:NONE,HORIZONTAL:HORIZONTAL,VERTICAL:VERTICAL,AUTO:AUTO};function init(options){if(options&&(options.allowPageScroll==undefined&&(options.swipe!=undefined||options.swipeStatus!=undefined))){options.allowPageScroll=NONE}if(!options){options={}}options=$.extend({},$.fn.swipe.defaults,options);return this.each(function(){var $this=$(this);var plugin=$this.data(PLUGIN_NS);if(!plugin){plugin=new TouchSwipe(this,options);$this.data(PLUGIN_NS,plugin)}})}function TouchSwipe(element,options){var $element=$(element);var phase="start";var triggerElementID=null;var fingerCount=0;var start={x:0,y:0};var end={x:0,y:0};var delta={x:0,y:0};var startTime=0;var endTime=0;var moveEvent;try{$element.bind(START_EV,touchStart);$element.bind(CANCEL_EV,touchCancel)}catch(e){$.error("events not supported "+START_EV+","+CANCEL_EV+" on jQuery.swipe")}this.enable=function(){$element.bind(START_EV,touchStart);$element.bind(CANCEL_EV,touchCancel);return $element};this.disable=function(){removeListeners();return $element};this.destroy=function(){removeListeners();$element.data(PLUGIN_NS,null);return $element};function touchStart(event){event=event.originalEvent;var ret,evt=SUPPORTS_TOUCH?event.touches[0]:event;phase=PHASE_START;if(SUPPORTS_TOUCH){fingerCount=event.touches.length}else{event.preventDefault()}distance=0;direction=null;duration=0;if(!SUPPORTS_TOUCH||fingerCount==options.fingers){start.x=end.x=evt.pageX;start.y=end.y=evt.pageY;startTime=getTimeStamp();if(options.swipeStatus){ret=triggerHandler(event,phase)}}else{touchCancel(event)}if(ret===false){phase=PHASE_CANCEL;triggerHandler(event,phase);return ret}else{$element.bind(MOVE_EV,touchMove);$element.bind(END_EV,touchEnd)}}function touchMove(event){event=event.originalEvent;if(phase==PHASE_END||phase==PHASE_CANCEL){return}var ret,evt=SUPPORTS_TOUCH?event.touches[0]:event;end.x=evt.pageX;end.y=evt.pageY;endTime=getTimeStamp();direction=calculateDirection();if(SUPPORTS_TOUCH){fingerCount=event.touches.length}phase=PHASE_MOVE;validateDefaultEvent(event,direction);if(fingerCount==options.fingers||!SUPPORTS_TOUCH){distance=calculateDistance();duration=calculateDuration();if(options.swipeStatus){ret=triggerHandler(event,phase,direction,distance,duration)}if(!options.triggerOnTouchEnd){var cancel=!validateSwipeTime();if(validateSwipeDistance()===true){phase=PHASE_END;ret=triggerHandler(event,phase)}else{if(cancel){phase=PHASE_CANCEL;triggerHandler(event,phase)}}}}else{phase=PHASE_CANCEL;triggerHandler(event,phase)}if(ret===false){phase=PHASE_CANCEL;triggerHandler(event,phase)}}function touchEnd(event){event=event.originalEvent;event.preventDefault();endTime=getTimeStamp();distance=calculateDistance();direction=calculateDirection();duration=calculateDuration();if(options.triggerOnTouchEnd||(options.triggerOnTouchEnd==false&&phase==PHASE_MOVE)){phase=PHASE_END;if((fingerCount==options.fingers||!SUPPORTS_TOUCH)&&end.x!=0){var cancel=!validateSwipeTime();if((validateSwipeDistance()===true||validateSwipeDistance()===null)&&!cancel){triggerHandler(event,phase)}else{if(cancel||validateSwipeDistance()===false){phase=PHASE_CANCEL;triggerHandler(event,phase)}}}else{phase=PHASE_CANCEL;triggerHandler(event,phase)}}else{if(phase==PHASE_MOVE){phase=PHASE_CANCEL;triggerHandler(event,phase)}}$element.unbind(MOVE_EV,touchMove,false);$element.unbind(END_EV,touchEnd,false)}function touchCancel(event){fingerCount=0;start.x=0;start.y=0;end.x=0;end.y=0;delta.x=0;delta.y=0;endTime=0;startTime=0}function triggerHandler(event,phase){var ret;if(options.swipeStatus){ret=options.swipeStatus.call($element,event,phase,direction||null,distance||0,duration||0)}if(phase==PHASE_CANCEL){if(options.click&&(fingerCount==1||!SUPPORTS_TOUCH)&&(isNaN(distance)||distance==0)){ret=options.click.call($element,event,event.target)}}if(phase==PHASE_END){if(options.swipe){ret=options.swipe.call($element,event,direction,distance,duration)}switch(direction){case LEFT:if(options.swipeLeft){ret=options.swipeLeft.call($element,event,direction,distance,duration)}break;case RIGHT:if(options.swipeRight){ret=options.swipeRight.call($element,event,direction,distance,duration)}break;case UP:if(options.swipeUp){ret=options.swipeUp.call($element,event,direction,distance,duration)}break;case DOWN:if(options.swipeDown){ret=options.swipeDown.call($element,event,direction,distance,duration)}break}}if(phase==PHASE_CANCEL||phase==PHASE_END){touchCancel(event)}if(ret!==undefined){return ret}}function validateSwipeDistance(){if(options.threshold!==null){return distance>=options.threshold}else{return null}}function validateSwipeTime(){var result;if(options.maxTimeThreshold){if(duration>=options.maxTimeThreshold){result=false}else{result=true}}else{result=true}return result}function validateDefaultEvent(event,direction){if(options.allowPageScroll==NONE){event.preventDefault()}else{var auto=options.allowPageScroll==AUTO;switch(direction){case LEFT:if((options.swipeLeft&&auto)||(!auto&&options.allowPageScroll!=HORIZONTAL)){event.preventDefault()}break;case RIGHT:if((options.swipeRight&&auto)||(!auto&&options.allowPageScroll!=HORIZONTAL)){event.preventDefault()}break;case UP:if((options.swipeUp&&auto)||(!auto&&options.allowPageScroll!=VERTICAL)){event.preventDefault()}break;case DOWN:if((options.swipeDown&&auto)||(!auto&&options.allowPageScroll!=VERTICAL)){event.preventDefault()}break}}}function calculateDuration(){return endTime-startTime}function calculateDistance(){return Math.round(Math.sqrt(Math.pow(end.x-start.x,2)+Math.pow(end.y-start.y,2)))}function caluculateAngle(){var X=start.x-end.x;var Y=end.y-start.y;var r=Math.atan2(Y,X);var angle=Math.round(r*180/Math.PI);if(angle<0){angle=360-Math.abs(angle)}return angle}function calculateDirection(){var angle=caluculateAngle();if((angle<=45)&&(angle>=0)){return LEFT}else{if((angle<=360)&&(angle>=315)){return LEFT}else{if((angle>=135)&&(angle<=225)){return RIGHT}else{if((angle>45)&&(angle<135)){return DOWN}else{return UP}}}}}function getTimeStamp(){var now=new Date();return now.getTime()}function removeListeners(){$element.unbind(START_EV,touchStart);$element.unbind(CANCEL_EV,touchCancel);$element.unbind(MOVE_EV,touchMove);$element.unbind(END_EV,touchEnd)}}})(jQuery);

/**
 * jQuery Plugin to obtain touch gestures from iPhone, iPod Touch and iPad, should also work with Android mobile phones (not tested yet!)
 * Common usage: wipe images (left and right to show the previous or next image)
 * 
 * @author Andreas Waltl, netCU Internetagentur (http://www.netcu.de)
 * @version 1.1.1 (9th December 2010) - fix bug (older IE's had problems)
 * @version 1.1 (1st September 2010) - support wipe up and wipe down
 * @version 1.0 (15th July 2010)
 */
eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('(2($){$.C.F=2(g){4 h={u:t,j:t,q:2(){},p:2(){},n:2(){},m:2(){},l:r};3(g)$.I(h,g);6.B(2(){4 c;4 d;4 f=7;2 8(){6.E(\'o\',9);c=D;f=7}2 9(e){3(h.l){e.G()}3(f){4 x=e.5[0].s;4 y=e.5[0].k;4 a=c-x;4 b=d-y;3(v.w(a)>=h.u){8();3(a>0){h.q()}i{h.p()}}i 3(v.w(b)>=h.j){8();3(b>0){h.m()}i{h.n()}}}}2 z(e){3(e.5.H==1){c=e.5[0].s;d=e.5[0].k;f=r;6.A(\'o\',9,7)}}3(\'J\'K L.M){6.A(\'N\',z,7)}});O 6}})(P);',52,52,'||function|if|var|touches|this|false|cancelTouch|onTouchMove|||||||||else|min_move_y|pageY|preventDefaultEvents|wipeDown|wipeUp|touchmove|wipeRight|wipeLeft|true|pageX|20|min_move_x|Math|abs|||onTouchStart|addEventListener|each|fn|null|removeEventListener|touchwipe|preventDefault|length|extend|ontouchstart|in|document|documentElement|touchstart|return|jQuery'.split('|'),0,{}))

